Bug 1028687 - systemctl is-enabled does not work for template instances
systemctl is-enabled does not work for template instances
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-09 10:16 EST by Andrew J. Schorr
Modified: 2014-08-13 12:31 EDT (History)
8 users (show)

See Also:
Fixed In Version: systemd-204-20.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-08 04:40:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew J. Schorr 2013-11-09 10:16:23 EST
Description of problem: If I enable an instance of a template, systemctl is-enabled should report that the instance is enabled.  But it does not.


Version-Release number of selected component (if applicable):
systemd-204-17.fc19.x86_64


How reproducible:
[root@ti19 ~]# systemctl enable openvpn@fubar.service
ln -s '/usr/lib/systemd/system/openvpn@.service' '/etc/systemd/system/multi-user.target.wants/openvpn@fubar.service'
[root@ti19 ~]# systemctl is-enabled openvpn@fubar.service && echo YES
Failed to issue method call: No such file or directory
[root@ti19 ~]# systemctl is-enabled openvpn@.service && echo YES
enabled
YES




Steps to Reproduce:
1. systemctl enable openvpn@fubar.service
2. systemctl is-enabled openvpn@fubar.service
3.

Actual results:
Failed to issue method call: No such file or directory



Expected results:
enabled


Additional info:
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-12-27 00:39:31 EST
http://cgit.freedesktop.org/systemd/systemd/commit/?id=67820a0cbdc
Comment 2 Fedora Update System 2014-07-22 23:55:15 EDT
systemd-204-20.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/systemd-204-20.fc19
Comment 3 Fedora Update System 2014-07-23 23:21:15 EDT
Package systemd-204-20.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-204-20.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8761/systemd-204-20.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-08-08 04:40:53 EDT
systemd-204-20.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Daniel Winter 2014-08-13 12:31:33 EDT
Hi

With systemd-204-20.fc19 systemctl is-enabled seems not to work:

1. systemctl disable sssd

2. systemctl is-enabled sssd
enabled

3. systemctl enable sssd

4. systemctl is-enabled sssd
enabled

This seems to break our config management tool using is-enabled.

Best,
Daniel

Note You need to log in before you can comment on or make changes to this bug.